#ifdef GL_ES
#define LOWP lowp
    precision highp  float;
#else
    #define LOWP
#endif

varying LOWP vec4 v_color;
varying vec2 v_texCoords;

uniform sampler2D u_texture;
uniform vec2 uv_repeat;
uniform float border_on_screen;

vec4 back_color = vec4(0.098, 0.161, 0.082, 1);
vec4 front_color = vec4(1,1,1,1);
vec4 circle_color = vec4(1,0.1,0,1);
float border_size = 0.0002;
float move_amplitude = 0.1;
float scale_speed = 2.0;
vec2 disc_center = vec2(0.5, 0.5);
float disc_radius = 0.5 - 0.0002;


void main() {
    if (border_on_screen < 0.5) {
        gl_FragColor = texture2D(u_texture, v_texCoords);
    } else {
        vec2 diskpos = v_texCoords / uv_repeat - disc_center;

        float dist = sqrt(dot(diskpos, diskpos));
        float tdisk = smoothstep(disc_radius + border_size, disc_radius - border_size, dist);
        float tcircle = 1.0 + smoothstep(disc_radius, disc_radius + border_size, dist) - smoothstep(disc_radius - border_size, disc_radius, dist);

        vec4 col = mix(back_color, texture2D(u_texture, v_texCoords), tdisk);
        vec4 bordercol = mix(circle_color, col, tcircle);

        gl_FragColor = bordercol;
    }
}

